## com.google.gwt.user.client.ui
Interface HasText

All Known Subinterfaces:
  HasHTML

All Known Implementing Classes:
  Anchor, Button, ButtonBase, CheckBox, CustomButton, CustomButton.Face, DialogBox, HTML, Hyperlink, InlineHTML, InlineHyperlink, InlineLabel, Label, MenuItem, PasswordTextBox, PushButton, RadioButton, RichTextArea, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, TreeItem

    public interface HasText

An object that implements this interface contains text, which can be set and retrieved using these methods.

Method Summary
`java.lang.String` | `getText()` Gets this object's text.
`void` | `setText(java.lang.String text)` Sets this object's text.

Method Detail

### getText

    java.lang.String getText()

  Gets this object's text.

  Returns:
    the object's text

### setText

    void setText(java.lang.String text)

  Sets this object's text.

  Parameters:
    `text` - the object's new text